CVE-2009-3623

Metadata

CVE-2009-3623
7.8
git.kernel.org, git.kernel.org, marc.info, marc.info, kernel.org, kernel.org, ubuntu.com, bugzilla.redhat.com
2009-10-30
2017-06-06 20:21

Description

The lookup_cb_cred function in fs/nfsd/nfs4callback.c in the nfsd4 subsystem in the Linux kernel before 2.6.31.2 attempts to access a credentials cache even when a client specifies the AUTH_NULL authentication flavor, which allows remote attackers to cause a denial of service (NULL pointer dereference and system crash) via an NFSv4 mount request.

Related Vulnerabilities

platform vulnerability
CVE-2009-3623